import 'package:diplomaticquarterapp/core/model/hospitals/hospitals_model.dart';
import 'package:diplomaticquarterapp/core/viewModels/hospital_view_model.dart';
import 'package:diplomaticquarterapp/pages/livecare/livecare_home.dart';
import 'package:diplomaticquarterapp/widgets/data_display/text.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:diplomaticquarterapp/widgets/transitions/fade_page.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:diplomaticquarterapp/core/model/pharmacies/pharmacies_model.dart';
import 'package:diplomaticquarterapp/core/viewModels/pharmacies_view_model.dart';
import 'package:diplomaticquarterapp/core/model/pharmacies/pharmacies_list_model.dart';

import '../base/base_view.dart';
import '../feedback/feedback_home_page.dart';

class HomePage extends StatefulWidget {
  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  @override
  Widget build(BuildContext context) {
    return AppScaffold(
      body: Container(
        width: double.infinity,
        child: FractionallySizedBox(
          widthFactor: 0.95,
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: <Widget>[
              InkWell(
                onTap: ()=>Navigator.push(context, FadePage(page: FeedbackHomePage())),
                child: Container(
                  margin: EdgeInsets.only(top: 12),
                  width: double.infinity,
                  height: 180,
                  decoration: BoxDecoration(
                    shape: BoxShape.rectangle,
                    color: Colors.white,
                    borderRadius: BorderRadius.circular(12.0),
                    border: Border.all(
                      color: Colors.grey[400],
                      width: 1.0,
                    ),
                  ),
                  child: Center(
                    child: Texts('Feedback'),
                  ),
                ),
              ),
              InkWell(
                onTap: ()=>Navigator.push(context, FadePage(page: LiveCareHome())),
                child: Container(
                  margin: EdgeInsets.only(top: 12),
                  width: double.infinity,
                  height: 180,
                  decoration: BoxDecoration(
                    shape: BoxShape.rectangle,
                    color: Colors.white,
                    borderRadius: BorderRadius.circular(12.0),
                    border: Border.all(
                      color: Colors.grey[400],
                      width: 1.0,
                    ),
                  ),
                  child: Center(
                    child: Texts('LiveCare'),
                  ),
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
